Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class WidgetActions

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.annotations.AnnotationActions
              org.pdfclown.documents.interaction.annotations.WidgetActions

All Implemented Interfaces:
  Cloneable, Map<PdfName,Action>, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class WidgetActions

extends AnnotationActions

Widget actions [PDF:1.6:8.5.2].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`WidgetActions(Annotation parent)`

Method Summary
`WidgetActions` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Action` | `getOnBlur()` Gets the action to be performed when the annotation loses the input focus.
`Action` | `getOnFocus()` Gets the action to be performed when the annotation receives the input focus.
`void` | `setOnBlur(Action value)`
`void` | `setOnFocus(Action value)`

Methods inherited from class org.pdfclown.documents.interaction.annotations.AnnotationActions
`clear, containsKey, containsValue, entrySet, get, getOnActivate, getOnEnter, getOnExit, getOnMouseDown, getOnMouseUp, getOnPageClose, getOnPageInvisible, getOnPageOpen, getOnPageVisible, isEmpty, keySet, put, putAll, remove, setOnActivate, setOnEnter, setOnExit, setOnMouseDown, setOnMouseUp, setOnPageClose, setOnPageInvisible, setOnPageOpen, setOnPageVisible, size, values`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### WidgetActions

    public WidgetActions(Annotation parent)

Method Detail

### clone

    public WidgetActions clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `AnnotationActions`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getOnBlur

    public Action getOnBlur()

  Gets the action to be performed when the annotation loses the input focus.

### getOnFocus

    public Action getOnFocus()

  Gets the action to be performed when the annotation receives the input focus.

### setOnBlur

    public void setOnBlur(Action value)

  See Also:
    `getOnBlur()`

### setOnFocus

    public void setOnFocus(Action value)

  See Also:
    `getOnFocus()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.